Will OpenSSL ED25519 support make it into Ubuntu 18.04?

Asked by Michael Steffens on 2018-07-09

The current release of libss1.1 in Bionic is 1.1.0g-2ubuntu4.1. OpenSSL upstream is currently emitting a series of pre-releases of 1.1.1, introducing support of the ED25519 signature algorithm. Will that version, once finally released by OpenSSL, propagate into the current Ubuntu LTS version?
Alternatively, are there any plans to backport ED25519 support to the Bionic package of OpenSSL 1.1.0?

Thanks a lot in advance!

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu openssl Edit question
Assignee:
No assignee Edit question
Last query:
2018-07-09
Last reply:
2018-07-09

I suggest you report a bug. If the bug and security fixes are significant then the package will be updated sooner rather than later. Ubuntu is not a rolling release distribution and packages can be left in favour of stability. This is especially true in the LTS releases

Can you help with this problem?

Provide an answer of your own, or ask Michael Steffens for more information if necessary.

To post a message you must log in.